必火网络安全培训 > 安全漏洞 > 正文

GRUB2 整数溢出漏洞(CVE-2020-14308)

第九期开班时间:2021年3月22日

抢先领取全套VIP视频教程

+10天免费学习名额

  已有8166人参加


视频课程

姓名 选填

电话

  张*燕188****220722分钟前

  王*军186****864498分钟前

  李*如189****445354分钟前

>>  稍后老师联系您发送相关视频课程  <<



报名CTF挑战赛,  预约名师指导

  已有 2366 人参加
姓名 选填

电话

  郭*明170****234291分钟前

  赵*东189****289646分钟前

  蔡*培135****589722分钟前





   

网络安全渗透测试群(必火安全学院):信息安全渗透测试群

护网行动日薪千元(初级中级高级)群:护网行动必火业余班级

GRUB2 整数溢出漏洞(CVE-2020-14308)


发布日期:2020-07-31
更新日期:2020-09-18

受影响系统:GNU grub2 < 2.06描述:CVE(CAN) ID: CVE-2020-14308

grub2是GNU计划的一款Linux系统引导程序。
grub2 2.06之前版本中存在整数溢出漏洞。该漏洞源于grub内存分配器未正确验证分配内存的大小。攻击者可利用该漏洞影响系统完整性,机密性和可用性。

<*来源:Marco Benatto
  
  链接:https://lists.gnu.org/archive/html/grub-devel/2020-07/msg00034.html
*>

建议:厂商补丁:

GNU
---
GNU已经为此发布了一个安全公告(msg00034)以及相应补丁:
msg00034:[SECURITY PATCH 00/28] Multiple GRUB2 vulnerabilities - BootHole
链接:https://lists.gnu.org/archive/html/grub-devel/2020-07/msg00034.html

本文为原创,版权归 必火网络安全培训所有。禁止转载,后果自负。